curl --location -g --request GET 'https://api.mpc.dev.placewise.com/v1/content/management/promotions?search=hello&publication_status=published&status=published&store_ids[]=3&store_ids[]=4&collection_ids[]=3&collection_ids[]=4&locale=en&per_page=10&page_no=1&sort_by[]=id&sort_directions[]=DESC&with_archived=false&only_archived=false' \
--header 'X-User-Agent: ApiDog' \
--header 'X-Product-Name: default' \
--header 'X-Customer: 447' \
--header 'Authorization: Bearer ' \
--header 'X-Client-Authorization: ' \
--header 'X-Store-Id: ' \
--header 'Content-Type: application/json'{
"promotions": [
{
"id": 1,
"title": {
"en": "Text"
},
"body": {
"en": "Text"
},
"status": "draft",
"visible_since": "2022-11-09T16:25:58.099512Z",
"visible_until": "2022-11-15T16:25:58.099512Z",
"usable_since": "2022-11-09T16:25:58.099512Z",
"usable_until": "2022-11-09T16:25:58.099512Z",
"store_id": 1001931,
"collection_id": 1,
"tag_ids": [
8216745
],
"image": {
"url": "https://example.com/image.png",
"identifier": "1",
"mime_type": "image/jpeg",
"created_at": "2022-11-09T15:46:00.252860Z",
"updated_at": "2022-11-09T15:46:00.252860Z",
"image_details": {
"width": 1,
"height": 1
}
},
"publication_status": "published",
"created_at": "2022-11-05T16:25:58.099512Z",
"updated_at": "2022-11-15T16:25:58.099512Z",
"archived_at": "2022-11-15T16:25:58.099512Z"
}
],
"pagination_info": {
"count": 1000,
"total_count": 2050,
"per_page": 1000,
"total_pages": 3,
"current_page": 1,
"next_page": 2,
"prev_page": null,
"is_first_page": true,
"is_last_page": false,
"is_out_of_range": false,
"offset": 0
}
}